Subject: bug#18964: 25.0.50; vc-dir doesn't ignore "ignored" files

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Nov 2014 18:21:20 -0500

> For me the ideal way for it to have worked would have been if editing
> .gitignore and then typing "g" in vc-dir made the files disappear.

While it's often handy, occasionally having file entries disappear after
"g" is annoying (because it's kind of complicated to have them come back).

> If showing them in "ignored" state is somehow necessary, then have "x"
> also make them disappear.

That's how it should work: entries should only ever be removed by `x'.

        Stefan